when:
  - event: [push, pull_request, tag]
    branch: ${CI_REPO_DEFAULT_BRANCH}

steps:
  lint:
    image: golang:1.23.4
    commands:
      - go get codeberg.org/codeberg/member-registration
      - go install mvdan.cc/gofumpt@latest
      - if [ $(gofumpt -extra -l . | tee /dev/stderr | wc -l) -ne 0 ]; then echo "Code not formatted correctly, see list of files above."; exit 1; fi
  unittest:
    image: golang:1.23.4
    commands:
      - make check
